#include<bits/stdc++.h>
#define ll long long
#define ull unsigned ll
#define pii pair<int, int>
#define pll pair<ll, ll>
#define pb push_back
#define pf push_front
#define popb pop_back
#define popf pop_front
#define mp make_pair
#define ios ios_base::sync_with_stdio(false); cin.tie(NULL); cout.tie(NULL);


using namespace std;

int main()
{
  ios
  ll x1, y1, x2, y2;
  cin>>x1>>y1>>x2>>y2;
  if (x1==x2 || y1==y2)
  {
      cout<<2;
  }
  else if (abs(x2-x1)==abs(y2-y1))
  {
      cout<<1;
  }
  else
  {
      cout<<0;
  }
}